### Function

# Gio bus_get

since: 2.26

#### Declaration [src]

    void
    g_bus_get (
      GBusType bus_type,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously connects to the message bus specified by `bus_type`.

When the operation is finished, `callback` will be invoked. You can then call `g_bus_get_finish()` to get the result of the operation.

This is an asynchronous failable function. See `g_bus_get_sync()` for the synchronous version.

Available since: 2.26

This function completes asynchronously. Use `g_bus_get_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`bus_type`

  Type: `GBusType`

  A `GBusType`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.